FreeMat

- Main Page
- Related Pages

vtkSESAMEReader

Section: Visualization Toolkit IO Classes

# Usage

vtkSESAMEReader is a source object that reads SESAME files. Currently supported tables include 301, 304, 502, 503, 504, 505, 602

SESAMEReader creates rectilinear grid datasets. The dimension of the dataset depends upon the number of densities and temperatures in the table. Values at certain temperatures and densities are stored as scalars.

To create an instance of class vtkSESAMEReader, simply invoke its constructor as follows

      obj = vtkSESAMEReader

# Methods

The class vtkSESAMEReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSESAMEReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSESAMEReader = obj.NewInstance ()`
- `vtkSESAMEReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string file)` - Set the filename to read
- `string = obj.GetFileName ()` - Get the filename to read
- `int = obj.IsValidFile ()` - Return whether this is a valid file
- `int = obj.GetNumberOfTableIds ()` - Get the number of tables in this file
- `vtkIntArray = obj.GetTableIdsAsArray ()` - Returns the table ids in a data array.
- `obj.SetTable (int tableId)` - Set the table to read in
- `int = obj.GetTable ()` - Get the table to read in
- `int = obj.GetNumberOfTableArrayNames ()` - Get the number of arrays for the table to read
- `int = obj.GetNumberOfTableArrays ()` - Get the names of arrays for the table to read
- `string = obj.GetTableArrayName (int index)` - Get the names of arrays for the table to read
- `obj.SetTableArrayStatus (string name, int flag)` - Set whether to read a table array
- `int = obj.GetTableArrayStatus (string name)` - Set whether to read a table array